ISCHROOT(1)

NOMBRE
ischroot - Detecta si se ejecuta dentro de una jaula chroot

SINOPSIS
ischroot [--default-false] [--default-true] [--help] [--version]

DESCRIPCIÓN

ischroot detecta si se ha ejecutado en el momento presente desde una jaula chroot. El estado de salida es:

0   Si se ejecuta desde una jaula chroot.

1   Si no se ejecuta desde una jaula chroot.

2   Si no es posible detectarlo (Ocurre en sistemas GNU/Linux si el script no se ejecuta como administrador).

OPCIONES

-f, --default-false
    Cierra con un estado de salida 1 si la detección no es posible.

-t, --default-true
    Cierra con un estado de salida 0 si la detección no es posible.

--help
    Muestra información de uso por la salida estándar y cierra con éxito.

--version
    Muestra información de la versión por la salida estándar y cierra con éxito.

FALLOS
En sistemas GNU/Linux, no es posible detectar una jaula chroot si no se ejecuta con permisos de administrador. Funciona correctamente en sistemas GNU/Hurd y GNU/kFreeBSD.